Commit 80a09641 authored by Duncan Coutts's avatar Duncan Coutts
Browse files

Check for -optl-s as well as an alias of the more common -optl-Wl,-s

parent 28ad32e6
...@@ -398,7 +398,7 @@ checkGhcOptions pkg = ...@@ -398,7 +398,7 @@ checkGhcOptions pkg =
PackageDistInexcusable $ PackageDistInexcusable $
"'ghc-options: -split-objs' is not needed. Use the --enable-split-objs configure flag." "'ghc-options: -split-objs' is not needed. Use the --enable-split-objs configure flag."
, checkFlags ["-optl-Wl,-s"] $ , checkFlags ["-optl-Wl,-s", "-optl-s"] $
PackageDistInexcusable $ PackageDistInexcusable $
"'ghc-options: -optl-Wl,-s' is not needed and is not portable to all" "'ghc-options: -optl-Wl,-s' is not needed and is not portable to all"
++ " operating systems. Cabal 1.4 and later automatically strip" ++ " operating systems. Cabal 1.4 and later automatically strip"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment